curl --request POST \
--url https://api.apimart.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}'
import requests
url = "https://api.apimart.ai/v1/videos/generations"
payload = {
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";
const payload = {
model: "kling-3.0-turbo",
prompt: "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
aspect_ratio: "16:9",
resolution: "1080p",
duration: 5
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.apimart.ai/v1/videos/generations"
payload := map[string]interface{}{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5,
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.apimart.ai/v1/videos/generations";
String payload = """
{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://api.apimart.ai/v1/videos/generations";
$payload = [
"model" => "kling-3.0-turbo",
"prompt" => "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio" => "16:9",
"resolution" => "1080p",
"duration" => 5
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.apimart.ai/v1/videos/generations")
payload = {
model: "kling-3.0-turbo",
prompt: "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
aspect_ratio: "16:9",
resolution: "1080p",
duration: 5
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!
let payload: [String: Any] = [
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.apimart.ai/v1/videos/generations";
var payload = @"{
""model"": ""kling-3.0-turbo"",
""prompt"": ""Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht"",
""aspect_ratio"": ""16:9"",
""resolution"": ""1080p"",
""duration"": 5
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
{
"error": {
"code": 400,
"message": "Ungültige Anfrageparameter",
"type": "invalid_request_error"
}
}
{
"error": {
"code": 401,
"message": "Authentifizierung fehlgeschlagen, bitte überprüfen Sie Ihren API-Schlüssel",
"type": "authentication_error"
}
}
{
"error": {
"code": 402,
"message": "Unzureichendes Kontoguthaben, bitte laden Sie es auf und versuchen Sie es erneut",
"type": "payment_required"
}
}
{
"error": {
"code": 429,
"message": "Zu viele Anfragen, bitte versuchen Sie es später erneut",
"type": "rate_limit_error"
}
}
{
"error": {
"code": 500,
"message": "Interner Serverfehler, bitte versuchen Sie es später erneut",
"type": "server_error"
}
}
Kling 3.0 Turbo
Kling 3.0 Turbo Videogenerierung
- Asynchroner Verarbeitungsmodus, gibt eine Task-ID für spätere Abfragen zurück
- Unterstützt Text-zu-Video und Bild-zu-Video (Steuerung über das erste Bild)
- Unterstützt zwei Auflösungsstufen: 720P / 1080P
- Unterstützt Videolängen von 3-15 Sekunden
- Unterstützt Multi-Shot-Storyboards (ausgedrückt über Prompts in einem festen Format)
POST
/
v1
/
videos
/
generations
curl --request POST \
--url https://api.apimart.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}'
import requests
url = "https://api.apimart.ai/v1/videos/generations"
payload = {
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";
const payload = {
model: "kling-3.0-turbo",
prompt: "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
aspect_ratio: "16:9",
resolution: "1080p",
duration: 5
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.apimart.ai/v1/videos/generations"
payload := map[string]interface{}{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5,
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.apimart.ai/v1/videos/generations";
String payload = """
{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://api.apimart.ai/v1/videos/generations";
$payload = [
"model" => "kling-3.0-turbo",
"prompt" => "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio" => "16:9",
"resolution" => "1080p",
"duration" => 5
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.apimart.ai/v1/videos/generations")
payload = {
model: "kling-3.0-turbo",
prompt: "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
aspect_ratio: "16:9",
resolution: "1080p",
duration: 5
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!
let payload: [String: Any] = [
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.apimart.ai/v1/videos/generations";
var payload = @"{
""model"": ""kling-3.0-turbo"",
""prompt"": ""Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht"",
""aspect_ratio"": ""16:9"",
""resolution"": ""1080p"",
""duration"": 5
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
{
"error": {
"code": 400,
"message": "Ungültige Anfrageparameter",
"type": "invalid_request_error"
}
}
{
"error": {
"code": 401,
"message": "Authentifizierung fehlgeschlagen, bitte überprüfen Sie Ihren API-Schlüssel",
"type": "authentication_error"
}
}
{
"error": {
"code": 402,
"message": "Unzureichendes Kontoguthaben, bitte laden Sie es auf und versuchen Sie es erneut",
"type": "payment_required"
}
}
{
"error": {
"code": 429,
"message": "Zu viele Anfragen, bitte versuchen Sie es später erneut",
"type": "rate_limit_error"
}
}
{
"error": {
"code": 500,
"message": "Interner Serverfehler, bitte versuchen Sie es später erneut",
"type": "server_error"
}
}
curl --request POST \
--url https://api.apimart.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}'
import requests
url = "https://api.apimart.ai/v1/videos/generations"
payload = {
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";
const payload = {
model: "kling-3.0-turbo",
prompt: "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
aspect_ratio: "16:9",
resolution: "1080p",
duration: 5
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.apimart.ai/v1/videos/generations"
payload := map[string]interface{}{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5,
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.apimart.ai/v1/videos/generations";
String payload = """
{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://api.apimart.ai/v1/videos/generations";
$payload = [
"model" => "kling-3.0-turbo",
"prompt" => "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio" => "16:9",
"resolution" => "1080p",
"duration" => 5
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.apimart.ai/v1/videos/generations")
payload = {
model: "kling-3.0-turbo",
prompt: "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
aspect_ratio: "16:9",
resolution: "1080p",
duration: 5
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!
let payload: [String: Any] = [
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.apimart.ai/v1/videos/generations";
var payload = @"{
""model"": ""kling-3.0-turbo"",
""prompt"": ""Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht"",
""aspect_ratio"": ""16:9"",
""resolution"": ""1080p"",
""duration"": 5
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
{
"error": {
"code": 400,
"message": "Ungültige Anfrageparameter",
"type": "invalid_request_error"
}
}
{
"error": {
"code": 401,
"message": "Authentifizierung fehlgeschlagen, bitte überprüfen Sie Ihren API-Schlüssel",
"type": "authentication_error"
}
}
{
"error": {
"code": 402,
"message": "Unzureichendes Kontoguthaben, bitte laden Sie es auf und versuchen Sie es erneut",
"type": "payment_required"
}
}
{
"error": {
"code": 429,
"message": "Zu viele Anfragen, bitte versuchen Sie es später erneut",
"type": "rate_limit_error"
}
}
{
"error": {
"code": 500,
"message": "Interner Serverfehler, bitte versuchen Sie es später erneut",
"type": "server_error"
}
}
Authentifizierung
string
erforderlich
Alle Schnittstellen erfordern eine Authentifizierung mittels Bearer TokenAPI-Schlüssel erhalten:Besuchen Sie die Verwaltungsseite für API-Schlüssel, um Ihren API-Schlüssel zu erhaltenFügen Sie ihn bei der Verwendung dem Anfrage-Header hinzu:
Authorization: Bearer YOUR_API_KEY
Anfrageparameter
string
erforderlich
Name des VideogenerierungsmodellsUnterstützte Modelle:
kling-3.0-turbo- Kling 3.0 Turbo
string
erforderlich
Text-PromptDas Upstream-Limit liegt bei höchstens 3072 Zeichen, empfohlen werden höchstens 2500 Zeichen.Beispiel:
"Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht"string
Unterstützt Bild-URL oder Base64.
Upstream-Beschränkungen für das erste Bild:
- Format:
.jpg/.jpeg/.png - Größe: ≤ 50MB
- Breite und Höhe: ≥ 300px
- Seitenverhältnis:
1:2.5~2.5:1
string
Standard:"16:9"
Seitenverhältnis des VideosMögliche Werte:
16:9- Querformat9:16- Hochformat1:1- Quadratisch
16:9Gilt nur für Text-zu-Video. Bei Bild-zu-Video ist dieses Feld wirkungslos; das Videoverhältnis wird durch das erste Bild bestimmt.
string
Standard:"720p"
VideoauflösungMögliche Werte:
720p1080p
720pinteger
Standard:"5"
Videolänge (Sekunden)Wertebereich: 3-15 (mindestens 3 Sekunden, höchstens 15 Sekunden)Standardwert:
5⚠️ Hinweis: Es muss eine reine Zahl eingegeben werden (z. B. 6), ohne Anführungszeichen, andernfalls tritt ein Fehler aufboolean
Ob ein Wasserzeichen hinzugefügt werden sollWird nur dann an den Upstream weitergegeben, wenn es explizit übergeben wird; wird es nicht übergeben, wird kein Wasserzeichen hinzugefügt.
Text-zu-Video vs. Bild-zu-Video
Das System erkennt automatisch den Generierungsmodus anhand dessen, ob einfirst_frame_image bereitgestellt wird: Mit erstem Bild wird Bild-zu-Video, ohne erstes Bild wird Text-zu-Video verwendet; der Benutzer muss dies nicht explizit angeben.
| Parameter | Text-zu-Video | Bild-zu-Video |
|---|---|---|
prompt | ✅ Erforderlich | ✅ Optional (bleibt leer, Generierung ausschließlich anhand des ersten Bildes) |
first_frame_image | ❌ Nicht übergeben | ✅ Erforderlich |
aspect_ratio | ✅ Optional | ❌ Wirkungslos (Verhältnis wird durch das erste Bild bestimmt) |
resolution | ✅ Optional | ✅ Optional |
duration | ✅ Optional (3-15) | ✅ Optional (3-15) |
watermark | ✅ Optional | ✅ Optional |
Antwort
integer
Antwortstatuscode, bei Erfolg 200
array
Anwendungsfälle
Szenario 1: Text-zu-Video (1080P)
{
"model": "kling-3.0-turbo",
"prompt": "Ein Corgi rennt am Strand entlang, filmische Atmosphäre, Dämmerungslicht",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
Szenario 2: Text-zu-Video (Hochformat 720P)
{
"model": "kling-3.0-turbo",
"prompt": "Kreuzung in Shibuya, Tokio, regnerische Nacht, Neonlichter spiegeln sich auf dem nassen Boden, Passanten gehen mit aufgespannten Regenschirmen vorbei",
"aspect_ratio": "9:16",
"resolution": "720p",
"duration": 10
}
Szenario 3: Bild-zu-Video (erstes Bild)
{
"model": "kling-3.0-turbo",
"prompt": "Die Kamera fährt langsam heran, die Person lächelt",
"first_frame_image": "https://cdn.example.com/first.jpg",
"resolution": "720p",
"duration": 5
}
Szenario 4: Reine Bild-zu-Video-Generierung (ohne Prompt)
{
"model": "kling-3.0-turbo",
"first_frame_image": "https://cdn.example.com/first.jpg",
"resolution": "1080p",
"duration": 5
}
Szenario 5: Multi-Shot-Storyboard (Text-zu-Video)
{
"model": "kling-3.0-turbo",
"prompt": "Einstellung 1,2,Corgi rennt am Strand; Einstellung 2,3,Kamera fährt heran, Person lächelt;",
"aspect_ratio": "16:9",
"resolution": "1080p",
"duration": 5
}
Task-Ergebnis abfragenDie Videogenerierung ist ein asynchroner Task; nach der Übermittlung wird eine
task_id zurückgegeben. Verwenden Sie die Schnittstelle Task-Status abrufen, um den Fortschritt und das Ergebnis der Generierung abzufragen.⌘I